﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head><title>Updating a Role</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Updating a Role</h1>
        <p>The admin user can update existing roles using the<strong>&#160;Manage Roles </strong>tile.&#160;The admin can only manage the roles and cannot add or remove users through auto-provisioning, by adding workflow.</p>
        <p>To update a role:</p>
        <ol>
            <li>In the<strong>Home</strong>page, click the&#160;<strong>ARS</strong>tab.</li>
            <li>Click the&#160;<strong>Manage Roles</strong>&#160;tile and click&#160;<strong>Manage Roles</strong>.</li>
            <li>Enter the required role name or description in the search field and click the&#160;<strong>Search</strong>&#160;icon.<br />OR<br />Use the&#160;<strong>Advanced</strong>&#160;search option. Click&#160;<strong>Advanced</strong>, specify the required search parameters and click&#160;<strong>Search</strong>.</li>
            <li>
                <p class="auto-cursor-target">Click the&#160;<strong>Edit Role</strong>&#160;icon against the role that you want to update.</p>
            </li>
            <li>
                <p class="auto-cursor-target">Perform the required changes to the role and click <strong>Update</strong>.</p>
                <p>For more information about edit role parameters, see&#160;<MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Roles.htm">Creating Roles</MadCap:xref>.</p>
            </li>
            <li>You can also update other tabs such as Role Details, Other Attributes, Role Owners, Users, Entitlements, Parent Entitlements, Groups, SoD, Dynamic Attributes, Business Process, Functions, History, and Versions.</li>
            <li>
                <p class="auto-cursor-target">Click the <strong>Versions</strong> tab to view the versions and send them for approval.</p>
            </li>
            <li>Select the composing version where you have done the changes and click <strong>Send For Approval.</strong></li>
            <li>Click <strong>Send For Approval</strong>, the&#160;<strong>Role Changes</strong>&#160;window displays with the following options:<br /><ul><li>Table for recent changes with columns such as <strong>Field</strong>, <strong>Old Value</strong> and<strong> New Value</strong>.</li><li><strong>Attachment</strong> - Attach the relevant file if required.</li><li><strong>BUSINESS JUSTIFICATION</strong> - Update the request level comments.</li></ul></li>
        </ol>
        <div class="note" MadCap:autonum="&lt;b&gt;Note&lt;/b&gt;">
            <p class="note">If are unable to send the role for approval,&#160;watch the <a href="../Resources/Attachments/Tsg-not-able-to-send-role-to-approval.mp4">Troubleshooting Video</a> to resolve it.</p>
        </div>
        <ol MadCap:continue="true">
            <li>Click <strong>Confirm&#160;</strong>to submit the updated attachments and comments.<br />The request-id for role update request is displayed.</li>
            <li><span style="color: rgb(51,51,51);text-decoration: none;">After the request is approved, the Role changes come into effect.</span>
            </li>
        </ol>
        <p>In the <strong>Role List</strong> page, you can also perform <strong>Delete</strong> and <strong>Export</strong> actions.</p>
        <p>To delete a role:&#160;</p>
        <p>Select the role that you want to delete and click the&#160;<strong>Delete Role</strong>icon.<br />The <strong>Status</strong> of the role changes from <strong>Active</strong> to <strong>Inactive</strong>.</p>
        <div class="confluence-information-macro confluence-information-macro-note conf-macro output-block">
            <div class="confluence-information-macro-body">
                <p>The <strong>Export</strong> option in <strong>Manage Roles</strong> gives privilege you to export the role details, which can be seen in <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Exporting-All-Roles.htm">Exporting All Roles</MadCap:xref>.</p>
            </div>
        </div>
    </body>
</html>